SGML2TXT(1)

NAME
sgml2txt - create plain text output from a LinuxDoc DTD SGML source file

SYNOPSIS
sgml2txt [generic-option...] [--manpage] [--filter] [--blanks=n] file[.sgml]

DESCRIPTION
sgml2txt is an old and obsoleted form of the text converter command of LinuxDoc-Tools (its name may be misleading, as it is not a tool for any SGML DTD, only supports the SGML LinuxDoc DTD). It is recommended to switch the new form linuxdoc -B text now. It converts a LinuxDoc DTD SGML source file to ASCII, ISO-8859-1, or EUC-JP output. Output will appear in file.txt where file is the name of the SGML source file.

The attribute/value pair "output=txt" is set for conditionals.

OPTIONS
sgml2txt accepts all the generic options described in linuxdoc(1), and the following specific options:

--manpage, -m
    Outputs a groff source file, suitable for formatting with groff -man for man pages

--filter, -f
    Remove backspace-overstrikes from the intermediate form generated by groff(1).

--pass, -P
    The argument of the pass option is added to the command-line options handed to groff(1).

--blanks=n, -b
    Set the limit of continuous blank lines for generating the output document. The default limit is 3. If 0 (zero) is specified, the result have many continuous blank lines.

file
    The SGML source file, named either file or file.sgml

FILES
Many files and executables in /usr/share/linuxdoc-tools are used.

BUGS
None known.

AUTHOR
Originally written by Greg Hankins <greg.hankins@cc.gatech.edu>, based on scripts by Tom Gordon and Alexander Horz, and later rewritten by Cees de Groot <cg@cdegroot.com> for SGML-Tools (v1). Previously maintained by Taketoshi Sano <sano@debian.org> for Linuxdoc-Tools. Currently maintained by Agustin Martin <agustin6martin AT gmail com>.

SEE ALSO
linuxdoc(1), sgml2html(1), sgml2info(1), sgml2latex(1), sgml2lyx(1), sgml2rtf(1), sgmlcheck(1).